(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6578,        182]
NotebookOptionsPosition[      6050,        161]
NotebookOutlinePosition[      6600,        182]
CellTagsIndexPosition[      6557,        179]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Pro", " ", "zadan\[YAcute]", " ", "v\[YAcute]kon", " ", "a", " ", 
     "relativn\[IAcute]", " ", "permitivitu", " ", "spo\[CHacek]t\[EHacek]te",
      " ", "tloustku", " ", "mezi", " ", "elektrodami", " ", 
     RowBox[{"(", 
      RowBox[{"ka\[ZHacek]dej", " ", "m\[AAcute]m", " ", "jinou"}], ")"}]}], 
    ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"jeli", " ", "U"}], "=", 
      RowBox[{
       RowBox[{"230", " ", "V", "\[IndentingNewLine]", "f"}], "=", 
       RowBox[{
        RowBox[{"27000000", " ", "Hz", "\[IndentingNewLine]", "tan\[Delta]"}],
         "=", "0.5"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"rozmeryElektrod", "=", 
      RowBox[{"0.4", "*", "0.7", " ", "metr\[URing]"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"fce", "[", 
    RowBox[{"{", 
     RowBox[{"i_", ",", "P_", ",", "\[Epsilon]r_"}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "U", ",", "f", ",", "\[Omega]", ",", "\[Epsilon]0", ",", "tan\[Delta]", 
       ",", "rozmeryElektrod", ",", "\[Gamma]Svindl", ",", 
       "mezeraMeziElektrodami", ",", "vysl"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"U", "=", "230"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"f", "=", "27000000"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Omega]", "=", 
       RowBox[{"2", "*", "Pi", "*", "f"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Epsilon]0", "=", 
       RowBox[{"8.85", "*", 
        SuperscriptBox["10", 
         RowBox[{"-", "12"}]]}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"tan\[Delta]", "=", "0.5"}], ";", "\[IndentingNewLine]", 
      RowBox[{"rozmeryElektrod", "=", 
       RowBox[{"0.4", "*", "0.7"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Gamma]Svindl", "=", 
       RowBox[{
       "\[Omega]", "*", "\[Epsilon]r", "*", "\[Epsilon]0", "*", 
        "tan\[Delta]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"vysl", "=", 
       RowBox[{"mezeraMeziElektrodami", "/.", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           FractionBox["P", 
            RowBox[{"rozmeryElektrod", "*", "mezeraMeziElektrodami"}]], 
           "\[Equal]", 
           RowBox[{"\[Gamma]Svindl", "*", 
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["U", "mezeraMeziElektrodami"], ")"}], "2"]}]}], ",", 
          RowBox[{"{", 
           RowBox[{"mezeraMeziElektrodami", ",", "0.001"}], "}"}]}], 
         "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\"\<Mezera mezi elektrodami je \>\"", "<>", 
       RowBox[{"ToString", "[", 
        RowBox[{"1000", "*", "vysl"}], "]"}], "<>", "\"\< mm\>\""}]}]}], 
    "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6405065694142494`*^9, 3.640506753685789*^9}, {
  3.64050678465256*^9, 3.640507024727292*^9}, {3.6405071092321253`*^9, 
  3.640507120916794*^9}, {3.6405073001600456`*^9, 3.6405073343510017`*^9}, {
  3.6405074095333014`*^9, 3.6405074912059727`*^9}, {3.640507685030059*^9, 
  3.640507714614751*^9}, {3.640593191*^9, 3.640593197140625*^9}, {
  3.6405933925625*^9, 3.640593394578125*^9}}],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zadanipom", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1000", "*", 
            RowBox[{"Random", "[", 
             RowBox[{"Integer", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", "7"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"Random", "[", 
            RowBox[{"Integer", ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "7"}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", "10"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", "1"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zadani", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<zadani cislo: \>\"", "<>", 
         RowBox[{"ToString", "[", "i", "]"}]}], ",", 
        RowBox[{"zadanipom", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "zadanipom", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.640507000441903*^9, 3.640507007255293*^9}, {
  3.6405071365796895`*^9, 3.6405072210115185`*^9}, {3.6405932078125*^9, 
  3.640593349609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"reseni", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"\"\<zadani cislo: \>\"", "<>", 
      RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<  \>\"", "<>", 
      RowBox[{"fce", "[", 
       RowBox[{"zadani", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "zadani", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6405072577026176`*^9, 3.640507286351256*^9}, {
   3.6405930513125*^9, 3.64059305309375*^9}, 3.640593353875*^9, {
   3.640593406046875*^9, 3.640593473140625*^9}}]
},
WindowSize->{1048, 771},
WindowMargins->{{16, Automatic}, {Automatic, 23}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.1999999999999, 829.68}},
Magnification->1.8000001907348633`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 3312, 76, 897, "Input"],
Cell[3872, 98, 1529, 43, 277, "Input"],
Cell[5404, 143, 642, 16, 85, "Input"]
}
]
*)

(* End of internal cache information *)
