(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6606,        200]
NotebookOptionsPosition[      6099,        180]
NotebookOutlinePosition[      6541,        198]
CellTagsIndexPosition[      6498,        195]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]iz", "=", "0.04"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]zed", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]in", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]ext", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tvenku", "=", 
   RowBox[{"-", "15"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tin", "=", "20"}], ";"}]}], "Input",
 CellChangeTimes->{{3.545538078640625*^9, 3.54553813946875*^9}, {
  3.545538793*^9, 3.545538797984375*^9}, {3.54553931940625*^9, 
  3.54553931984375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"procsPred", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"50", ",", "80"}], "}"}]}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"procsPo", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Random", "[", 
      RowBox[{"Integer", ",", 
       RowBox[{"{", 
        RowBox[{"20", ",", "40"}], "}"}]}], "]"}], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dzdii", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"0.01", 
       RowBox[{"Random", "[", 
        RowBox[{"Integer", ",", 
         RowBox[{"{", 
          RowBox[{"30", ",", "60"}], "}"}]}], "]"}]}], "&"}], "/@", 
     RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"vys", "[", 
    RowBox[{"ppred_", ",", "ppo_", ",", "dzed_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "res1", ",", "pomer", ",", "resdIz", ",", "Rpred", ",", "Rpo", ",", 
       "TzPred", ",", "Tzpo"}], "}"}], ",", 
     RowBox[{
      RowBox[{"res1", "=", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             FractionBox["QProstupPred", 
              RowBox[{"QProstupPred", "+", "Qv"}]], "\[Equal]", 
             FractionBox["ppred", "100"]}], ",", 
            RowBox[{
             FractionBox["QProstupPo", 
              RowBox[{"QProstupPo", "+", "Qv"}]], "\[Equal]", 
             FractionBox["ppo", "100"]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Qv", ",", "QProstupPo"}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", 
      RowBox[{"pomer", "=", 
       RowBox[{
        FractionBox["QProstupPo", "QProstupPred"], "/.", "res1"}]}], ";", 
      RowBox[{"Rpred", "=", 
       RowBox[{
        FractionBox["1", "\[Alpha]in"], "+", 
        FractionBox["1", "\[Alpha]ext"], "+", 
        FractionBox["dzed", "\[Lambda]zed"]}]}], ";", 
      RowBox[{"Rpo", "=", 
       RowBox[{
        FractionBox["1", "\[Alpha]in"], "+", 
        FractionBox["1", "\[Alpha]ext"], "+", 
        FractionBox["dzed", "\[Lambda]zed"], "+", 
        FractionBox["diz", "\[Lambda]iz"]}]}], ";", 
      RowBox[{"resdIz", "=", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          FractionBox["Rpred", "Rpo"], "\[Equal]", "pomer"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", 
      RowBox[{"TzPred", "=", 
       RowBox[{"Tin", "-", 
        RowBox[{
         FractionBox[
          RowBox[{"Tin", "-", "Tvenku"}], "Rpred"], "*", 
         FractionBox["1", "\[Alpha]in"]}]}]}], ";", 
      RowBox[{"Tzpo", "=", 
       RowBox[{
        RowBox[{"Tin", "-", 
         RowBox[{
          FractionBox[
           RowBox[{"Tin", "-", "Tvenku"}], "Rpo"], "*", 
          FractionBox["1", "\[Alpha]in"]}]}], "/.", "resdIz"}]}], ";", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"diz", "/.", "resdIz"}], ",", "TzPred", ",", "Tzpo"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vys2", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"\"\<var\>\"", ",", "i", ",", 
     RowBox[{"vys", "[", 
      RowBox[{
       RowBox[{"procsPred", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"procsPo", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"dzdii", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.545538163140625*^9, 3.545538294953125*^9}, {
  3.54553917571875*^9, 3.5455391894375*^9}, {3.54553932784375*^9, 
  3.545539350640625*^9}, {3.54553942684375*^9, 3.5455394295*^9}, {
  3.545539472859375*^9, 3.545539527984375*^9}, {3.545539583359375*^9, 
  3.54553958775*^9}}],

Cell[BoxData[
 RowBox[{"vys2", "/@", 
  RowBox[{"Range", "[", "n", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"zad", "[", "i_", "]"}], ":=", 
  RowBox[{"Print", "[", 
   RowBox[{"\"\<var. c.: \>\"", ",", "i", ",", "\"\<  p1%= \>\"", ",", 
    RowBox[{"procsPred", "[", 
     RowBox[{"[", "i", "]"}], "]"}], ",", "\"\< p2%= \>\"", ",", 
    RowBox[{"procsPo", "[", 
     RowBox[{"[", "i", "]"}], "]"}], ",", "\"\< dzed(m)= \>\"", ",", 
    RowBox[{"dzdii", "[", 
     RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.545539591453125*^9, 3.545539726578125*^9}}],

Cell[BoxData[
 RowBox[{"zad", "/@", 
  RowBox[{"Range", "[", "n", "]"}]}]], "Input",
 CellChangeTimes->{{3.54553971375*^9, 3.54553971409375*^9}}]
},
WindowSize->{1122, 736},
WindowMargins->{{9, Automatic}, {Automatic, 6}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification->1.4500000476837158`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 638, 16, 167, "Input"],
Cell[1186, 38, 4161, 118, 483, "Input"],
Cell[5350, 158, 85, 2, 41, "Input"],
Cell[5438, 162, 509, 11, 67, "Input"],
Cell[5950, 175, 145, 3, 41, "Input"]
}
]
*)

(* End of internal cache information *)
